Show / Hide Table of Contents

# Class OpenIddictServerOwinMiddleware

Provides the entry point necessary to register the OpenIddict server handler in an OWIN pipeline. Note: this middleware is intented to be used with dependency injection containers that support middleware resolution, like Autofac. Since it depends on scoped services, it is NOT recommended to instantiate it as a singleton like a regular OWIN middleware.

##### Inheritance

System.Object
OpenIddictServerOwinMiddleware

###### Namespace: OpenIddict.Server.Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerOwinMiddleware : AuthenticationMiddleware<OpenIddictServerOwinOptions>

### Constructors

#### OpenIddictServerOwinMiddleware(Nullable<OwinMiddleware>, IOptionsMonitor<OpenIddictServerOwinOptions>, IOpenIddictServerDispatcher, IOpenIddictServerFactory)

Creates a new instance of the OpenIddictServerOwinMiddleware class.

##### Declaration

    public OpenIddictServerOwinMiddleware(OwinMiddleware? next, IOptionsMonitor<OpenIddictServerOwinOptions> options, IOpenIddictServerDispatcher dispatcher, IOpenIddictServerFactory factory)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<OwinMiddleware> | next | The next middleware in the pipeline, if applicable.
IOptionsMonitor<OpenIddictServerOwinOptions> | options | The OpenIddict server OWIN options.
IOpenIddictServerDispatcher | dispatcher | The OpenIddict server dispatcher.
IOpenIddictServerFactory | factory | The OpenIddict server factory.

### Methods

#### CreateHandler()

Creates and returns a new OpenIddictServerOwinHandler instance.

##### Declaration

    protected override AuthenticationHandler<OpenIddictServerOwinOptions> CreateHandler()

##### Returns

Type | Description
--- | ---
AuthenticationHandler<OpenIddictServerOwinOptions> | A new instance of the OpenIddictServerOwinHandler class.